Description

currently report importing is handled in the report class it self, since this is a contain set of logic, it could be moved into its own set of

class.

later on, it should be easier to alias these methods for async operations.

Associated revisions

Revision 974075d7 - 10/30/2013 08:38 AM - Ohad Levy

fixes #3205 - Extract and refactor report importing logic

This patch extracts all report importing logic into seperate importer and status classes.

long term this could allow:

1. aliases methods for async operations

2. different types of reports imports (based on reporting type).

History

#1 - 10/09/2013 08:37 AM - Dominic Cleal

- Category set to Reporting

- Status changed from New to Ready For Testing

- Target version set to 1.4.0

https://github.com/theforeman/foreman/pull/929

#2 - 10/16/2013 03:58 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#3 - 10/17/2013 12:10 PM - Dominic Cleal

- Target version set to 1.15.0

#4 - 10/30/2013 08:27 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#5 - 10/30/2013 09:31 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 974075d76d654beedee641f835ab7d5da1f3a247.
